Threads API
3 endpoints
Threaded conversation endpoints.
Create a new thread POST /threads / export async function create( collectionId: string, appId: string, input: CreateThre
Create a new thread POST /threads / export async function create( collectionId: string, appId: string, input: CreateThre
Endpoint
/{zone}/collection/{collectionId}/app/{appId}/recordsn)}/{threadId}Parameters
zonepath
string
Required
collectionIdpath
string
Required
appIdpath
string
Required
threadIdpath
string
Required
Responses
200
Success{
"schema": "AppThread"
}400
Bad request401
Unauthorized404
Not foundList threads with optional query parameters GET /threads / export async function list( collectionId: string, appId: stri
List threads with optional query parameters GET /threads / export async function list( collectionId: string, appId: stri
Endpoint
/{zone}/collection/{collectionId}/app/{appId}/recordsn)}/{threadId}Parameters
zonepath
string
Required
collectionIdpath
string
Required
appIdpath
string
Required
threadIdpath
string
Required
bodybody
UpdateThreadInput
Required
See UpdateThreadInput schema
Responses
200
Success{
"schema": "AppThread"
}400
Bad request401
Unauthorized404
Not foundSoft delete a thread DELETE /threads/:threadId / export async function remove( collectionId: string, appId: string, thre
Soft delete a thread DELETE /threads/:threadId / export async function remove( collectionId: string, appId: string, thre
Endpoint
/{zone}/collection/{collectionId}/app/{appId}/recordsn)}/{threadId}/replyParameters
zonepath
string
Required
collectionIdpath
string
Required
appIdpath
string
Required
threadIdpath
string
Required
bodybody
ReplyInput
Required
See ReplyInput schema
Responses
200
Success{
"schema": "AppThread"
}400
Bad request401
Unauthorized404
Not found